package cn.com.taiji.tile.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zzyx 2024/1/11
 */
/**
    * 点线面样式表
    */
@Data
@TableName(value = "shape_style")
public class ShapeStyle {
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @TableField(value = "layer_code")
    private String layerCode;

    @TableField(value = "layer_name")
    private String layerName;

    @TableField(value = "`type`")
    private Boolean type;

    @TableField(value = "width")
    private Integer width;

    @TableField(value = "height")
    private Integer height;

    @TableField(value = "color")
    private String color;

    @TableField(value = "is_fill")
    private Boolean isFill;

    @TableField(value = "border_color")
    private String borderColor;

    @TableField(value = "border_size")
    private Integer borderSize;

    @TableField(value = "is_dashed")
    private Integer isDashed;

    @TableField(value = "dash_pattern")
    private String dashPattern;

    @TableField(value = "bg_imge")
    private String bgImge;

    @TableField(value = "is_show_name")
    private Boolean isShowName;

    @TableField(value = "font_color")
    private String fontColor;

    @TableField(value = "font_size")
    private Integer fontSize;

    @TableField(value = "center_point_img")
    private String centerPointImg;

    @TableField(value = "point_size")
    private Integer pointSize;

    @TableField(value = "point_type")
    private Integer pointType;

    @TableField(value = "point_marker_image")
    private String pointMarkerImage;

    @TableField(value = "point_marker_image_width")
    private Integer pointMarkerImageWidth;

    @TableField(value = "point_marker_image_height")
    private Integer pointMarkerImageHeight;

    @TableField(value = "center_point_image")
    private String centerPointImage;
}