package cn.com.taiji.tile.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zzyx 2024/1/11
 */
/**
    * 设备信息表
    */
@Data
@TableName(value = "stg_view_deviceinfo_df")
public class StgViewDeviceinfoDf {
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    @TableField(value = "pn")
    private String pn;

    @TableField(value = "groupid")
    private String groupid;

    @TableField(value = "monitorid")
    private String monitorid;

    @TableField(value = "`name`")
    private String name;

    @TableField(value = "`online`")
    private String online;

    @TableField(value = "savestatus")
    private String savestatus;

    @TableField(value = "ptztype")
    private String ptztype;

    @TableField(value = "deviceid")
    private String deviceid;

    @TableField(value = "areacode")
    private String areacode;

    @TableField(value = "longitude")
    private String longitude;

    @TableField(value = "latitude")
    private String latitude;

    @TableField(value = "faultedflag")
    private String faultedflag;

    @TableField(value = "`status`")
    private String status;

    @TableField(value = "isfront")
    private String isfront;

    @TableField(value = "civilcode")
    private String civilcode;

    @TableField(value = "address")
    private String address;

    @TableField(value = "parental")
    private String parental;

    @TableField(value = "parentid")
    private String parentid;

    @TableField(value = "certnum")
    private String certnum;

    @TableField(value = "certifiable")
    private String certifiable;

    @TableField(value = "ipaddress")
    private String ipaddress;

    @TableField(value = "port")
    private String port;

    @TableField(value = "positiontype")
    private String positiontype;

    @TableField(value = "roomtype")
    private String roomtype;

    @TableField(value = "usetype")
    private String usetype;

    @TableField(value = "directiontype")
    private String directiontype;

    @TableField(value = "mediacode")
    private String mediacode;

    @TableField(value = "mediadpi")
    private String mediadpi;

    @TableField(value = "`type`")
    private String type;

    @TableField(value = "`location`")
    private Object location;

    @TableField(value = "type_value")
    private String typeValue;

    @TableField(value = "sort")
    private Integer sort;
}